aboutsummaryrefslogtreecommitdiff
path: root/scripts/start-replay.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2024-07-23 01:50:06 +0200
committerdec05eba <dec05eba@protonmail.com>2024-07-23 01:50:06 +0200
commitda73b3ac6346105ad8404874b8bb54c846d4f54e (patch)
tree9b989da3f4d16ecdcf05b6b47f06f2625971033f /scripts/start-replay.sh
parente9343cce911c6401f9318165b4d098bdef723f8a (diff)
Remove old script, in start-replay script dont start if gpu screen recorder is already running
Diffstat (limited to 'scripts/start-replay.sh')
-rwxr-xr-xscripts/start-replay.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/start-replay.sh b/scripts/start-replay.sh
index e36d59d..2093c98 100755
--- a/scripts/start-replay.sh
+++ b/scripts/start-replay.sh
@@ -1,5 +1,6 @@
#!/bin/sh
+pidof -q gpu-screen-recorder && exit 1
video_path="$HOME/Videos"
mkdir -p "$video_path"
gpu-screen-recorder -w screen -f 60 -a "$(pactl get-default-sink).monitor" -c mkv -r 30 -o "$video_path"